# Generated by Django 3.2.12 on 2022-09-08 13:11

from django.db import migrations, models
import django.db.models.deletion
import mqtt.validators


class Migration(migrations.Migration):

    dependencies = [
        ('mqtt', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='permission',
            name='role',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='mqtt.role', verbose_name='Role'),
        ),
        migrations.AlterField(
            model_name='permission',
            name='topic',
            field=models.CharField(max_length=512, validators=[mqtt.validators.mqtt_topic_validator], verbose_name='Topic Expression'),
        ),
        migrations.AlterField(
            model_name='role',
            name='name',
            field=models.CharField(max_length=256, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='roottopic',
            name='topic',
            field=models.CharField(max_length=512, unique=True, validators=[mqtt.validators.mqtt_topic_validator], verbose_name='Root Topic'),
        ),
        migrations.AddConstraint(
            model_name='role',
            constraint=models.UniqueConstraint(fields=('name', 'project'), name='full_role_name'),
        ),
    ]
